local lgr = love.graphics
local win = love.window
local lfs = love.filesystem
local kbd = love.keyboard
local tmr = love.timer

smbDisposable = {}

function smbDisposable:create(v)
	local _i = {}
	setmetatable(_i, {__index = self})
	_i:setup(v or {})
	return _i
end
function smbDisposable:setup(v)
	self.life = v.life or 1
	self.x = v.x or 0
	self.y = v.y or 0
	self.isDead = false
end

function smbDisposable:update(dt)
	if self.isDead then return false end
	self.life = self.life - dt
	if self.life < 0 then
		self.life = 0
		self.isDead = true
	end
end

function smbDisposable:draw()

end
