local lgr = love.graphics
local win = love.window
local kbd = love.keyboard

setupScreen = {}

function setupScreen:load(arg)
	local arg = arg or {}
	self.loaded = true
	self.backgroundUpdate = false
	self.backgroundDraw = false
	self.width = 250
	self.height = 150

	self.name = "Setup Screen"

	self:setScreen()
end

function setupScreen:update(dt)

end

function setupScreen:draw()
	lgr.push()
	lgr.scale(4 * win.getPixelScale())
	lgr.setFont(font.dialog)
	lgr.setColor(255,255,255)
	lgr.print("Setup Screen Options:", 8, 8)
	lgr.print("TODO: Put some options here!", 16, 32)
	lgr.pop()
end

function setupScreen:keypressed(k, r)
	if k == " " or k == "return" then
		self:setScreen()
	end
end

function setupScreen:unload()
	self.loaded = false
end

function setupScreen:blur(arg)
	local arg = arg or {}
	self.focused = false
end

function setupScreen:focus(arg)
	local arg = arg or {}
	self.focused = true
end

function setupScreen:resize(w, h)

end

function setupScreen:setScreen()
	print("Setting up!")
	win.setMode(1280, 720, { resizable = true, borderless = false, vsync = true, highdpi = false,
								minwidth = 640, minheight = 360, fsaa = 0, fullscreentype = "desktop" })

	love.resize()
	screen.pixelScale = win.getPixelScale()
	-- texture = require "library.Perspective"
	stateStack:replace(game)
end
